<?php
/**
 * Smarty make_get_query function plugin
 *
 * Type:     function<br>
 * Name:     make_get_query<br>
 * Purpose:  Build url query string from $_GET super global variable array.
 *           And replace values via specific query strings.
 * @link http://quicty.zubapita.jp/
 *          mb_truncate (Quicty online manual)
 * @author   Tomoyuki Negishi <tomoyu-n at zubapita dot jp>
 * @param array
 * @param object
 */
function smarty_function_make_get_query($params,$smarty) {
	$get_params = $_GET;
	if(count($params))
		foreach($params as $key=>$values) {
			$get_params[$key] = $values;
	}
	return http_build_query($get_params);
}
?>
